/*******************************************************************************
 * AISwitchablePylon generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class AISwitchablePylon extends Pylon
    native
    placeable
    hidecategories(Navigation,Lighting,LightColor,Force,Lighting,LightColor,Force);

var() bool bOpen;

function PostBeginPlay()
{
    super.PostBeginPlay();
    SetEnabled(bOpen);
    //return;    
}

event SetEnabled(bool bEnabled)
{
    bOpen = bEnabled;
    bForceObstacleMeshCollision = !bOpen;
    //return;    
}

event bool IsEnabled()
{
    return bOpen;
    //return ReturnValue;    
}

defaultproperties
{
    bNeedsCostCheck=true
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__AISwitchablePylon.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    Components(0)=none
    Components(1)=none
    Components(2)=none
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__AISwitchablePylon.CollisionCylinder'
    Components(3)=CollisionCylinder
    Components(4)=none
    Components(5)=none
    Components(6)=none
    Components(7)=none
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__AISwitchablePylon.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}